Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	DjVu viewers, encoders and utilities.
Name:		djvulibre
Version:	3.5.22
Release:	1
License:	GPL
URL:		http://djvu.sourceforge.net
Group:		Publishing
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: pkg-config

%description
DjVu is a web-centric format and software platform for distributing documents
and images.  DjVu content downloads faster, displays and renders faster, looks
nicer on a screen, and consume less client resources than competing formats.
DjVu was originally developed at AT&T Labs-Research by Leon Bottou, Yann
LeCun, Patrick Haffner, and many others.  In March 2000, AT&T sold DjVu to
LizardTech Inc. who now distributes Windows/Mac plug-ins, and commercial
encoders (mostly on Windows)

In an effort to promote DjVu as a Web standard, the LizardTech management was
enlightened enough to release the reference implementation of DjVu under the
GNU GPL in October 2000.  DjVuLibre (which means free DjVu), is an enhanced
version of that code maintained by the original inventors of DjVu. It is
compatible with version 3.5 of the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- A full-fledged wavelet-based compressor for pictures.
- A simple compressor for bitonal (black and white) scanned pages.
- A compressor for palettized images (a la GIF/PNG).
- A set of utilities to manipulate and assemble DjVu images and documents.
- A set of decoders to convert DjVu to a number of other formats.
- An up-to-date version of the C++ DjVu Reference Library.

%package	devel
Summary:        %name development headers.
Group:          Development/Libraries
Requires:       %name = %{version}-%{release}

%description	devel
Header and include files for developing applications with %name.

%prep
%setup -n %{name}-%{version} -q

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%build
# djview is now packaged separately -> djview4 
# (Qt4 version)
%configure --disable-debug --disable-djview --disable-desktopfiles
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Quick fix to stop ldconfig from complaining
find %{buildroot}%{_libdir} -name "*.so*" -exec chmod 755 {} \;

# Quick cleanup of the docs
rm -rf doc/CVS 2>/dev/null 

# Remove symlinks to djview when there are alternatives
if test -x /usr/sbin/update-alternatives ; then
  test -h %{buildroot}%{_bindir}/djview \
    && rm %{buildroot}%{_bindir}/djview
  test -h %{buildroot}%{_mandir}/man1/djview.1 \
    && rm %{buildroot}%{_mandir}/man1/djview.1
fi
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README COPYRIGHT COPYING INSTALL NEWS TODO doc
%{_bindir}
%{_libdir}/*.so.*
%{_datadir}/djvu
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}/libdjvu
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.5.22-1
- version update
- disabled djview(3) in favour of Qt4 compliant separate djview4 
- built against libjpeg 7
* Wed Mar 26 2008 Christian Wasem <wasem@ccux-linux.de> 3.5.20-2
- changed package group to Publishing
- changed sub package devel group to Development/Libraries
* Thu Nov 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.20-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.19-1
- Version update
* Sun Mar 11 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.5.18-1
- Initial Release
